FactoryGirl.define do

  factory :estate do
    company { Forgery::Name.full_name }
    address { Forgery::Address.street_name }
    zip_code { Forgery::Address.zip }
    city { Forgery::Address.city }
    phone_number { Forgery::Address.phone }
    mobile_number { Forgery::Address.phone }
    fax_number { Forgery::Address.phone }
    contact_email { Forgery::Email.address }
    web_site { Forgery::Internet.domain_name }
    owner_lastname { Forgery::Name.full_name }
    owner_firstname { Forgery::Name.full_name }
    history { Forgery(:lorem_ipsum).words(40) }
    word { Forgery(:lorem_ipsum).words(40) }
    opening { Forgery(:lorem_ipsum).words(10) }
    markets { Array.new(3, Forgery::Address.country) }
    spoken_languages { Array.new(3, Forgery::Address.country) }
  end
end
