FactoryGirl.define do

  factory :global_wine_data do
    culture_types { ["culture1", "culture2", "culture3", ""] }
    sparkling_types { ["sparkling", "sparkling2", "sparkling3", ""] }
    countries { ["country1","country2","country3"] }
    ground_types { ["ground1","ground2","ground3"] }
    harvests { ["harvest1","harvest2","harvest3"] }
    climates { ["climate1","climate2","climate3"] }
    allergens { ["allergen1","allergen2","allergen3"] }
    ageing_methods { ["ageing1","ageing2"] }
    serving_temperatures { ["serving1","serving2"] }
    storage_durations { ["storage1","storage2", ""] }
    grapes { ["grape1","grape2","grape3"] }
    awards { ["award1","award2","award3"] }
    notes { ["note1","note2","note3"] }
    tasting_opportunities { ["opportunity1","opportunity2",""] }
  end
end
