FactoryGirl.define do

  factory :picto_element do
    key_name { Forgery(:pictos).key_name }
    name { Forgery(:name).company_name }
    android_mdpi_picto { Forgery(:pictos).mdpi_picto }
    android_hdpi_picto { Forgery(:pictos).hdpi_picto }
    android_xhdpi_picto { Forgery(:pictos).xhdpi_picto }
    iphonex1_picto { Forgery(:pictos).iphonex1_picto }
    iphonex2_picto { Forgery(:pictos).iphonex2_picto }
    ipadx1_picto { Forgery(:pictos).ipadx1_picto }
    ipadx2_picto { Forgery(:pictos).ipadx2_picto }

    factory :color, class: PictoElement do
      category :colors
    end

    factory :flavor, class: PictoElement do
      category :flavors
    end

    factory :food_entry, class: PictoElement do
      category :food_entries
    end

    factory :food_dish, class: PictoElement do
      category :food_dishes
    end

    factory :food_dessert, class: PictoElement do
      category :food_dessert
    end

    factory :food_cheese, class: PictoElement do
      category :food_cheese
    end
  end
end
