require 'rails_helper'

describe Picture do
  it { should be_timestamped_document.with(:created) }
  it { should be_timestamped_document.with(:updated) }

  it { should have_field(:title).of_type(String) }
  it { should have_field(:description).of_type(String) }
  it { should have_field(:status).of_type(Symbol) }

  it { should be_embedded_in(:user) }
end
