FactoryGirl.define do

  factory :winewoo_user, class: User do
    email { Forgery::Email.address }
    encrypted_password "password"
    user_roles { [:winewoo_user] }

    transient { devices_count 1 }
    before(:create) do |wuser, evaluator|
      wuser.winewoo_user_devices = create_list(:winewoo_user_device,
                                               evaluator.devices_count,
                                               winewoo_user: wuser)
    end
  end
end
