require 'rails_helper'

describe GlobalWineData do
  it { should be_timestamped_document.with(:created) }
  it { should be_timestamped_document.with(:updated) }
  it { should have_field(:culture_types).of_type(Array) }
  it { should have_field(:countries).of_type(Array) }
  it { should have_field(:ground_types).of_type(Array) }
  it { should have_field(:harvests).of_type(Array) }
  it { should have_field(:climates).of_type(Array) }
  it { should have_field(:allergens).of_type(Array) }
  it { should have_field(:ageing_methods).of_type(Array) }
  it { should have_field(:serving_temperatures).of_type(Array) }
  it { should have_field(:storage_durations).of_type(Array) }
  it { should have_field(:grapes).of_type(Array) }
  it { should have_field(:awards).of_type(Array) }
  it { should have_field(:notes).of_type(Array) }
  it { should have_field(:tasting_opportunities).of_type(Array) }
end
