require 'rails_helper'

describe WineDataElement do
  it { should be_timestamped_document.with(:created) }
  it { should be_timestamped_document.with(:updated) }

  it { should have_field(:appelations).of_type(Array) }
  it { should have_field(:production_areas).of_type(Array) }
  it { should have_field(:wine_colors).of_type(Array) }
  it { should have_field(:climates).of_type(Array) }

  it { should be_embedded_in(:interpro) }
end
