require "rails_helper"

module WinewooCore

  describe Configuration do

    describe "#hello_sentence" do

      it "default value is 'Hello Word !'" do
        expect(Configuration.new.hello_sentence).to eq("Hello World !")
      end
    end


    describe "#hello_sentence=" do

      it "can set value" do
        config = Configuration.new
        config.hello_sentence = "Hello Kasual !"
        expect(config.hello_sentence).to eq("Hello Kasual !")
      end
    end
  end
end
